某个活动的报名(id、状态、类型、入场登记——不含个人数据)
GET
/v1/events/{slug}/registrations
const url = 'https://api.vimine.network/v1/events/example/registrations?status=reserved';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.vimine.network/v1/events/example/registrations?status=reserved' \ --header 'Authorization: Bearer <token>'供协会自己的后端系统使用(客户端令牌)。需要套餐包含全协会范围的列表(否则返回 plan_limit)。
授权方式
章节“授权方式”参数
章节“参数”路径参数
章节“路径参数”slug
必填
string
查询参数
章节“查询参数”status
string
limit
integer
cursor
string
响应
章节“响应”200
章节“200”一页结果
媒体类型application/json
object
items
Array<object>
object
id
string
status
string
registration_type
string
membership_id
string
quantity
integer
checked_in_at
string 格式: date-time
created_at
string 格式: date-time
next_cursor
string
示例自动生成
{ "items": [ { "id": "example", "status": "example", "registration_type": "example", "membership_id": "example", "quantity": 1, "checked_in_at": "2026-04-15T12:00:00Z", "created_at": "2026-04-15T12:00:00Z" } ], "next_cursor": "example"}400
章节“400”请求无效
媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}401
章节“401”缺少凭据或凭据无效
媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}403
章节“403”plan_limit
404
章节“404”未找到
媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}429
章节“429”已触发速率限制
媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}500
章节“500”内部错误
媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}